Subject: Bounce crash or hang (Pine 4.21)

From: Marilyn Perry <[email-masked]>
Date: Thu, 9 Dec 1999 12:23:58 -0800 (PST)

I am running pine 4.21 on AIX 4.3.2.  I am attempting to bounce a large
message whose size is reported by pine 4.21 as 4,516 K, and I am unable to
do so.  I press b, pine reports "Busy", then either one of two things
happens:

1.  pine crashes and writes a core file
2.  the spinning dial stops spinning, but psg shows that pine is gobbling
    CPU time.  kill PID has no effect, but I can use kill -9 PID to kill
    pine.

I have tried to determine if this is a pine 4.21 regression by bouncing
this same large message using older versions of pine, pine 3.95 and pine
4.10.  Pine 3.95 bounces the message with no problem.  Pine 4.10 bounces
the message with only a cosmetic problem: "Sending 100%" continues to be
displayed after the operation is completed.  So I believe this is a
regression introduced sometime after 4.10.

Marilyn Perry

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------